<template>
  <div class="status_bar_shadow"></div>
  <div class="status_bar">
    <div class="status_bar_content" >
      <status-bar-item :style="{width: content_width}"
                       v-for="item in items"
                       :key="item"
                       :item="item"/>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

import statusBarItem from "./StatusBarItem.vue";
import type { StatusBarItemType } from "@/types";

export default defineComponent({
  name: "StatusBar",

  components: {
    "status-bar-item": statusBarItem
  },

  computed: {
    items(): StatusBarItemType[] {
      return [
        {
          title: "Test Item",
          item_name: "result"
        }
      ];
    },

    content_width(): string {
      return 100 / this.items.length + "%";
    }
  }
});
</script>

<style>
.status_bar
{
  background-color: #676F78;
  color: #ffffff;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12px;
  line-height: 28px;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 70px;
  right: 0;
  height: 26px;
}

.status_bar_shadow
{
  box-shadow: rgba(103, 111, 120, 0.7) 0 8px 6px 6px;
  position: absolute;
  left: 0;
  top: 72px;
  right: 0;
  height: 14px;
}

.status_bar_content
{

}
</style>
